<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\CoreExtension;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;
use Twig\TemplateWrapper;

/* themes/custom/campus/templates/navigation/pager--view-recherche.html.twig */
class __TwigTemplate_ed7a0765a838c044077cf1fff05463a2 extends Template
{
    private Source $source;
    /**
     * @var array<string, Template>
     */
    private array $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
        $this->sandbox = $this->extensions[SandboxExtension::class];
        $this->checkSecurity();
    }

    protected function doDisplay(array $context, array $blocks = []): iterable
    {
        $macros = $this->macros;
        // line 34
        if ((($tmp = ($context["items"] ?? null)) && $tmp instanceof Markup ? (string) $tmp : $tmp)) {
            // line 35
            yield "  <nav class=\"pager\" role=\"navigation\" aria-labelledby=\"pagination-heading\">

    <ul class=\"pager__items js-pager__items\">

      ";
            // line 40
            yield "      ";
            if ((($tmp = CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "previous", [], "any", false, false, true, 40)) && $tmp instanceof Markup ? (string) $tmp : $tmp)) {
                // line 41
                yield "        <li class=\"pager__item pager__item--previous\">
          <a href=\"";
                // line 42
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "previous", [], "any", false, false, true, 42), "href", [], "any", false, false, true, 42), "html", null, true);
                yield "\" title=\"";
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("Go to previous page"));
                yield "\" rel=\"prev\"";
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->withoutFilter(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "previous", [], "any", false, false, true, 42), "attributes", [], "any", false, false, true, 42), "href", "title", "rel"), "html", null, true);
                yield ">
            <span class=\"visually-hidden\">";
                // line 43
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("Previous page"));
                yield "</span>
            <span aria-hidden=\"true\">";
                // line 44
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "previous", [], "any", false, true, true, 44), "text", [], "any", true, true, true, 44)) ? (Twig\Extension\CoreExtension::default(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "previous", [], "any", false, false, true, 44), "text", [], "any", false, false, true, 44), t("‹ Previous"))) : (t("‹ Previous"))), "html", null, true);
                yield "</span>
          </a>
        </li>
      ";
            } else {
                // line 48
                yield "        <li class=\"pager__item pager__item--previous disabled\"><span></span></li>
      ";
            }
            // line 50
            yield "
      ";
            // line 52
            yield "      <li class=\"pager__item";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar((((($context["current"] ?? null) == 1)) ? (" is-active") : (" disabled")));
            yield "\">
        ";
            // line 53
            if ((($context["current"] ?? null) == 0)) {
                // line 54
                yield "          ";
                $context["title"] = t("Current page");
                // line 55
                yield "        ";
            } else {
                // line 56
                yield "          ";
                $context["title"] = t("Go to page @key", ["@key" => 1]);
                // line 57
                yield "        ";
            }
            // line 58
            yield "        <a href=\"";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "first", [], "any", false, false, true, 58), "href", [], "any", false, false, true, 58), "html", null, true);
            yield "\" title=\"";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["title"] ?? null), "html", null, true);
            yield "\"";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->withoutFilter(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "last", [], "any", false, false, true, 58), "attributes", [], "any", false, false, true, 58), "href", "title"), "html", null, true);
            yield ">
          ";
            // line 59
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(1);
            yield "
        </a>
      </li>

      ";
            // line 63
            if ((Twig\Extension\CoreExtension::first($this->env->getCharset(), Twig\Extension\CoreExtension::keys(CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "pages", [], "any", false, false, true, 63))) > 2)) {
                // line 64
                yield "        <li class=\"pager__item separator\">
        ...
        </li>
      ";
            }
            // line 68
            yield "
      ";
            // line 70
            yield "      ";
            $context['_parent'] = $context;
            $context['_seq'] = CoreExtension::ensureTraversable(CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "pages", [], "any", false, false, true, 70));
            foreach ($context['_seq'] as $context["key"] => $context["item"]) {
                // line 71
                yield "        ";
                if ((($context["key"] != 1) && ($context["key"] != ($context["page_max"] ?? null)))) {
                    // line 72
                    yield "        <li class=\"pager__item";
                    yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar((((($context["current"] ?? null) == $context["key"])) ? (" is-active") : ("")));
                    yield "\">
          ";
                    // line 73
                    if ((($context["current"] ?? null) == $context["key"])) {
                        // line 74
                        yield "            ";
                        $context["title"] = t("Current page");
                        // line 75
                        yield "          ";
                    } else {
                        // line 76
                        yield "            ";
                        $context["title"] = t("Go to page @key", ["@key" => $context["key"]]);
                        // line 77
                        yield "          ";
                    }
                    // line 78
                    yield "          <a href=\"";
                    yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, $context["item"], "href", [], "any", false, false, true, 78), "html", null, true);
                    yield "\" title=\"";
                    yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["title"] ?? null), "html", null, true);
                    yield "\"";
                    yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->withoutFilter(CoreExtension::getAttribute($this->env, $this->source, $context["item"], "attributes", [], "any", false, false, true, 78), "href", "title"), "html", null, true);
                    yield ">
            ";
                    // line 79
                    yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $context["key"], "html", null, true);
                    yield "
          </a>
        </li>
        ";
                }
                // line 83
                yield "      ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['key'], $context['item'], $context['_parent']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 84
            yield "
      ";
            // line 85
            if ((Twig\Extension\CoreExtension::last($this->env->getCharset(), Twig\Extension\CoreExtension::keys(CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "pages", [], "any", false, false, true, 85))) < (($context["page_max"] ?? null) - 1))) {
                // line 86
                yield "        <li class=\"pager__item separator\">
        ...
        </li>
      ";
            }
            // line 90
            yield "
      ";
            // line 92
            yield "      <li class=\"pager__item";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar((((($context["current"] ?? null) == ($context["page_max"] ?? null))) ? (" is-active") : ("")));
            yield "\">
        ";
            // line 93
            if ((($context["current"] ?? null) == ($context["page_max"] ?? null))) {
                // line 94
                yield "          ";
                $context["title"] = t("Current page");
                // line 95
                yield "        ";
            } else {
                // line 96
                yield "          ";
                $context["title"] = t("Go to page @key", ["@key" => ($context["page_max"] ?? null)]);
                // line 97
                yield "        ";
            }
            // line 98
            yield "        <a href=\"";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "last", [], "any", false, false, true, 98), "href", [], "any", false, false, true, 98), "html", null, true);
            yield "\" title=\"";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["title"] ?? null), "html", null, true);
            yield "\"";
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->withoutFilter(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "last", [], "any", false, false, true, 98), "attributes", [], "any", false, false, true, 98), "href", "title"), "html", null, true);
            yield ">
          ";
            // line 99
            yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ($context["page_max"] ?? null), "html", null, true);
            yield "
        </a>
      </li>

      ";
            // line 104
            yield "      ";
            if ((($tmp = CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "next", [], "any", false, false, true, 104)) && $tmp instanceof Markup ? (string) $tmp : $tmp)) {
                // line 105
                yield "        <li class=\"pager__item pager__item--next\">
          <a href=\"";
                // line 106
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "next", [], "any", false, false, true, 106), "href", [], "any", false, false, true, 106), "html", null, true);
                yield "\" title=\"";
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("Go to next page"));
                yield "\" rel=\"next\"";
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, $this->extensions['Drupal\Core\Template\TwigExtension']->withoutFilter(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "next", [], "any", false, false, true, 106), "attributes", [], "any", false, false, true, 106), "href", "title", "rel"), "html", null, true);
                yield ">
            <span class=\"visually-hidden\">";
                // line 107
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->renderVar(t("Next page"));
                yield "</span>
            <span aria-hidden=\"true\">";
                // line 108
                yield $this->extensions['Drupal\Core\Template\TwigExtension']->escapeFilter($this->env, ((CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "next", [], "any", false, true, true, 108), "text", [], "any", true, true, true, 108)) ? (Twig\Extension\CoreExtension::default(CoreExtension::getAttribute($this->env, $this->source, CoreExtension::getAttribute($this->env, $this->source, ($context["items"] ?? null), "next", [], "any", false, false, true, 108), "text", [], "any", false, false, true, 108), t("Next ›"))) : (t("Next ›"))), "html", null, true);
                yield "</span>
          </a>
        </li>
      ";
            } else {
                // line 112
                yield "        <li class=\"pager__item pager__item--next disabled\"><span></span></li>
      ";
            }
            // line 114
            yield "    </ul>
  </nav>
";
        }
        $this->env->getExtension('\Drupal\Core\Template\TwigExtension')
            ->checkDeprecations($context, ["items", "current", "page_max"]);        yield from [];
    }

    /**
     * @codeCoverageIgnore
     */
    public function getTemplateName(): string
    {
        return "themes/custom/campus/templates/navigation/pager--view-recherche.html.twig";
    }

    /**
     * @codeCoverageIgnore
     */
    public function isTraitable(): bool
    {
        return false;
    }

    /**
     * @codeCoverageIgnore
     */
    public function getDebugInfo(): array
    {
        return array (  257 => 114,  253 => 112,  246 => 108,  242 => 107,  234 => 106,  231 => 105,  228 => 104,  221 => 99,  212 => 98,  209 => 97,  206 => 96,  203 => 95,  200 => 94,  198 => 93,  193 => 92,  190 => 90,  184 => 86,  182 => 85,  179 => 84,  173 => 83,  166 => 79,  157 => 78,  154 => 77,  151 => 76,  148 => 75,  145 => 74,  143 => 73,  138 => 72,  135 => 71,  130 => 70,  127 => 68,  121 => 64,  119 => 63,  112 => 59,  103 => 58,  100 => 57,  97 => 56,  94 => 55,  91 => 54,  89 => 53,  84 => 52,  81 => 50,  77 => 48,  70 => 44,  66 => 43,  58 => 42,  55 => 41,  52 => 40,  46 => 35,  44 => 34,);
    }

    public function getSourceContext(): Source
    {
        return new Source("", "themes/custom/campus/templates/navigation/pager--view-recherche.html.twig", "/var/www/html/www/themes/custom/campus/templates/navigation/pager--view-recherche.html.twig");
    }
    
    public function checkSecurity()
    {
        static $tags = ["if" => 34, "set" => 54, "for" => 70];
        static $filters = ["escape" => 42, "t" => 42, "without" => 42, "default" => 44, "first" => 63, "keys" => 63, "last" => 85];
        static $functions = [];

        try {
            $this->sandbox->checkSecurity(
                ['if', 'set', 'for'],
                ['escape', 't', 'without', 'default', 'first', 'keys', 'last'],
                [],
                $this->source
            );
        } catch (SecurityError $e) {
            $e->setSourceContext($this->source);

            if ($e instanceof SecurityNotAllowedTagError && isset($tags[$e->getTagName()])) {
                $e->setTemplateLine($tags[$e->getTagName()]);
            } elseif ($e instanceof SecurityNotAllowedFilterError && isset($filters[$e->getFilterName()])) {
                $e->setTemplateLine($filters[$e->getFilterName()]);
            } elseif ($e instanceof SecurityNotAllowedFunctionError && isset($functions[$e->getFunctionName()])) {
                $e->setTemplateLine($functions[$e->getFunctionName()]);
            }

            throw $e;
        }

    }
}
